DIFF3(1)

NAZWA
diff3 - porównuje trzy pliki wiersz po wierszu

SKŁADNIA
diff3 [OPCJA]... MÓJPLIK STARYPLIK TWÓJPLIK

OPIS

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-A, --show-all
    wypisuje wszystkie zmiany, oznaczając wynikłe konflikty nawiasami

-e, --ed
    tworzy skrypt programu ed, który nanosi zmiany między STARYMPLIKIEM a TWOIMPLIKIEM do MOJEGOPLIKU

-E, --show-overlap
    jak -e, lecz oznacza konflikty nawiasami

-3, --easy-only
    jak -e, lecz aplikuje jedynie zmiany nienachodzące na siebie

-x, --overlap-only
    jak -e, lecz aplikuje jedynie nachodzące na siebie zmiany

-X  jak -x, lecz oznacza konflikty nawiasami

-i  dodaje polecenia "w" i "q" do skryptów eda

-m, --merge
    wypisuje połączony plik, zgodnie z opcją -A (jeśli nie podano innych)

-a, --text
    traktuje wszystkie pliki jako tekstowe

--strip-trailing-cr
    wycina końcowy znak powrotu karetki (CR) w wyjściu

-T, --initial-tab
    tworzy formatowanie, dodając na początku znak tabulacji

--diff-program=PROGRAM
    Używa PROGRAMU do porównywania plików

-L, --label=ETYKIETA
    używa ETYKIETY zamiast nazwy pliku (opcję można powtórzyć maksymalnie trzy razy)

--help
    wyświetla ten tekst i kończy pracę

-v, --version
    wyświetla informacje o wersji i kończy działanie

Domyślny format wyjściowy jest stosunkowo łatwo odczytywalną dla człowieka reprezentacją zmian.

Opcje -e, -E, -x, -X (i odpowiadające im długie opcje) wypisują skrypt eda, zamiast domyślnego formatu.

Opcja -m (--merge) powoduje, że diff3 łączy zmiany wewnętrznie i wypisuje połączony plik. W przypadku nietypowego wejścia, jest to pewniejsza metoda, niż użycie eda.

Jeśli PLIKIEM jest -, to czytane jest standardowe wejście. Kod zakończenia wynosi 0 w przypadku powodzenia, 1 w przypadku konfliktów i 2 w razie wystąpienia problemu.

AUTOR
Napisane przez Randyego Smitha

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów proszę wysyłać (po angielsku) na adres bug-diffutils@gnu.org
Strona internetowa GNU diffutils: <https://www.gnu.org/software/diffutils/>
Ogólna pomoc dotycząca oprogramowania GNU: <https://www.gnu.org/gethelp/>

PRAWA AUTORSKIE
Copyright © 2021 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
cmp(1), diff(1), sdiff(1)

Pełna dokumentacja diff3 jest dostępna w formacie Texinfo. Jeśli program info i diff3 jest poprawnie zainstalowany, to polecenie

    info diff3

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.